StarParagraphAttribute Namespace Reference documentation

Classes | Functions
StarParagraphAttribute Namespace Reference

namespace used to contain paragraph attributes More...

## Classes
class | StarPAttributeAdjust
| a adjust attribute More...
class | StarPAttributeBool
| a character bool attribute More...
class | StarPAttributeBulletNumeric
| a numeric bullet attribute More...
class | StarPAttributeBulletSimple
| a simple bullet attribute More...
class | StarPAttributeColor
| a character color attribute More...
class | StarPAttributeDrop
| a drop attribute More...
class | StarPAttributeHyphen
| a hyphen attribute More...
class | StarPAttributeInt
| a character integer attribute More...
class | StarPAttributeLineSpacing
| a line spacing attribute More...
class | StarPAttributeNumericRuler
| a numRule attribute More...
class | StarPAttributeTabStop
| a tabStop attribute More...
class | StarPAttributeUInt
| a character unsigned integer attribute More...
class | StarPAttributeVoid
| a void attribute More...

## Functions
void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds character attribute to the general it to attribute map More...

## Detailed Description

namespace used to contain paragraph attributes

## Function Documentation

## ◆ addAttributeBool()

void StarParagraphAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inline

add a bool attribute

Referenced by addInitTo().

## ◆ addAttributeColor()

void StarParagraphAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inline

add a color attribute

## ◆ addAttributeInt()

void StarParagraphAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inline

add a int attribute

## ◆ addAttributeUInt()

void StarParagraphAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inline

add a unsigned int attribute

Referenced by addInitTo().

## ◆ addAttributeVoid()

void StarParagraphAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline

add a void attribute

Referenced by addInitTo().

## ◆ addInitTo()

void StarParagraphAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds character attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().